%define upstream_name    HTML-Scrubber
%define upstream_version 0.19

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 4

Summary:    Perl extension for scrubbing/sanitizing html 
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/HTML/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(ExtUtils::MakeMaker)
BuildRequires: perl(File::Spec)
BuildRequires: perl(File::Temp)
BuildRequires: perl(HTML::Entities)
BuildRequires: perl(HTML::Parser) >= 3.470.0
BuildRequires: perl(List::Util) >= 1.330.0
BuildRequires: perl(Scalar::Util)
BuildRequires: perl(Test)
BuildRequires: perl(Test::Differences)
BuildRequires: perl(Test::Memory::Cycle)
BuildRequires: perl(Test::More) >= 0.880.0
BuildRequires: perl(strict)
BuildRequires: perl(utf8)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
If you wanna "scrub" or "sanitize" html input in a reliable and flexible 
fashion, then this perl module is for you.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor
%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{perl_vendorlib}/HTML
%{_mandir}/man3/*

%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.190.0-4.mga10
+ Revision: 2205642
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.190.0-3.mga9
+ Revision: 1811919
- Mageia 9 Mass Rebuild

* Sun Feb 16 2020 umeabot <umeabot> 0.190.0-2.mga8
+ Revision: 1533954
- Mageia 8 Mass Rebuild

* Wed Sep 25 2019 tv <tv> 0.190.0-1.mga8
+ Revision: 1445865
- update to 0.19

* Tue Sep 24 2019 tv <tv> 0.180.0-1.mga8
+ Revision: 1445444
- update to 0.18

* Thu Sep 20 2018 umeabot <umeabot> 0.170.0-3.mga7
+ Revision: 1283971
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 0.170.0-2.mga7
+ Revision: 1164824
- rebuild with fixed rpm for missing autodeps

* Sun Sep 24 2017 sander85 <sander85> 0.170.0-1.mga7
+ Revision: 1158495
- update to 0.17

* Sun Jun 19 2016 pterjan <pterjan> 0.150.0-3.mga6
+ Revision: 1028271
- Rebuild for perl 5.22.2

* Sat Feb 20 2016 umeabot <umeabot> 0.150.0-2.mga6
+ Revision: 971323
- Mageia 6 Mass Rebuild

* Wed Oct 14 2015 sander85 <sander85> 0.150.0-1.mga6
+ Revision: 891383
- update to 0.15

* Tue Jun 30 2015 sander85 <sander85> 0.140.0-1.mga6
+ Revision: 849127
- update to 0.14

* Sat Oct 18 2014 umeabot <umeabot> 0.110.0-6.mga5
+ Revision: 788389
- Rebuild to potentially add missing dependencies

* Wed Oct 15 2014 umeabot <umeabot> 0.110.0-5.mga5
+ Revision: 738785
- Second Mageia 5 Mass Rebuild

* Sat Sep 27 2014 tv <tv> 0.110.0-4.mga5
+ Revision: 727604
- rebuild for missing pythoneggs deps

* Tue Sep 16 2014 umeabot <umeabot> 0.110.0-3.mga5
+ Revision: 684957
- Mageia 5 Mass Rebuild

* Tue Oct 22 2013 umeabot <umeabot> 0.110.0-2.mga4
+ Revision: 542073
- Mageia 4 Mass Rebuild

* Mon Oct 14 2013 sander85 <sander85> 0.110.0-1.mga4
+ Revision: 496941
- update to 0.11

* Sun Jan 13 2013 umeabot <umeabot> 0.90.0-2.mga3
+ Revision: 368085
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Sun Apr 03 2011 jquelin <jquelin> 0.90.0-1.mga1
+ Revision: 80082
- update to 0.09

* Thu Jan 13 2011 jquelin <jquelin> 0.80.0-1.mga1
+ Revision: 11902
- imported package perl-HTML-Scrubber


* Sat Aug 01 2009 Jérôme Quelin <jquelin@mandriva.org> 0.80.0-1mdv2010.0
+ Revision: 406062
- rebuild using %%perl_convert_version

* Wed Jul 23 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.08-7mdv2009.0
+ Revision: 241477
- rebuild
- kill re-definition of %%buildroot on Pixel's request

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

* Mon Sep 03 2007 Guillaume Rousse <guillomovitch@mandriva.org> 0.08-5mdv2008.0
+ Revision: 78778
- spec cleanup

* Thu Jun 21 2007 Michael Scherer <misc@mandriva.org> 0.08-4mdv2008.0
+ Revision: 41990
- rebuild


* Wed Dec 28 2005 Michael Scherer <misc@mandriva.org> 0.08-3mdk
- Do not ship empty dir

* Mon Oct 10 2005 Nicolas Lécureuil <neoclust@mandriva.org> 0.08-2mdk
- Fix BuildRequires

* Sat Oct 01 2005 Michael Scherer <misc@mandriva.org> 0.08-1mdk
- First mandriva package

